Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.benchmark.config.statistic
Enum ProblemStatisticType

    java.lang.Object
      java.lang.Enum<ProblemStatisticType>
          org.optaplanner.benchmark.config.statistic.ProblemStatisticType

All Implemented Interfaces:
  Serializable, Comparable<ProblemStatisticType>, StatisticType

    public enum ProblemStatisticType

extends Enum<ProblemStatisticType>
implements StatisticType

Enum Constant Summary
`BEST_SCORE`
`BEST_SOLUTION_MUTATION`
`CALCULATE_COUNT_PER_SECOND`
`MEMORY_USE`
`MOVE_COUNT_PER_STEP`
`STEP_SCORE`

Method Summary
`ProblemStatistic` | `buildProblemStatistic(ProblemBenchmarkResult problemBenchmarkResult)`
`boolean` | `hasScoreLevels()`
`static ProblemStatisticType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProblemStatisticType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.optaplanner.benchmark.impl.statistic.StatisticType
`name`

Enum Constant Detail

### BEST_SCORE

    public static final ProblemStatisticType BEST_SCORE

### STEP_SCORE

    public static final ProblemStatisticType STEP_SCORE

### CALCULATE_COUNT_PER_SECOND

    public static final ProblemStatisticType CALCULATE_COUNT_PER_SECOND

### BEST_SOLUTION_MUTATION

    public static final ProblemStatisticType BEST_SOLUTION_MUTATION

### MOVE_COUNT_PER_STEP

    public static final ProblemStatisticType MOVE_COUNT_PER_STEP

### MEMORY_USE

    public static final ProblemStatisticType MEMORY_USE

Method Detail

### values

    public static ProblemStatisticType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ProblemStatisticType c : ProblemStatisticType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ProblemStatisticType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### buildProblemStatistic

    public ProblemStatistic buildProblemStatistic(ProblemBenchmarkResult problemBenchmarkResult)

### hasScoreLevels

    public boolean hasScoreLevels()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.